import requests
from fastapi import HTTPException


def is_valid_user(author_id: str):
    response = requests.get(f"http://auth-core-1:8000/api/users/{author_id}")

    if response.status_code == 404:
        raise HTTPException(status_code=404, detail="Author does not exist")
